[MSI B85M-E45] resume oops after hibernation

Bug #1325667 reported by Jens on 2014-06-02
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

With the above chipset, hibernation is unuseable because after resuming, the system sometimes freezes - after a couple minutes with a blank screen where only the mouse pointer is visible - and has to be hard reset.

I tried booting the newest mainline kernel (3.15.0-031500rc2-generic) but this kernel does not boot on my system, it freezes after printing something about "big_key registered" on the console, and just sits there (no other output or activity).

Here is the crash trace output.

ProblemType: KernelOops
Annotation: Your system might become unstable now and might need to be restarted.
Date: Mon Jun 2 15:09:05 2014
Failure: oops
OopsText:
 BUG: Bad page map in process dbus-daemon pte:880101000000 pmd:2125d8067
 addr:00007ff2862b5000 vm_flags:08000070 anon_vma: (null) mapping:ffff8800d40ad538 index:18d
 vma->vm_ops->fault: filemap_fault+0x0/0x410
 vma->vm_file->f_op->mmap: ext4_file_mmap+0x0/0x60
 CPU: 3 PID: 27455 Comm: dbus-daemon Tainted: GF B W O 3.13.0-27-generic #50-Ubuntu
 Hardware name: MSI MS-7817/B85M-E45 (MS-7817), BIOS V10.2 09/25/2013
  ffff88020f5a9600 ffff88020ffa5c70 ffffffff817199c4 00007ff2862b5000
  ffff88020ffa5cb8 ffffffff81174503 0000880101000000 000000000000018d
  ffff8802125d85a8 0000880101000000 00007ff2862b5000 00007ff286334000
 Call Trace:
  [<ffffffff817199c4>] dump_stack+0x45/0x56
  [<ffffffff81174503>] print_bad_pte+0x1a3/0x250
  [<ffffffff81175d5e>] unmap_page_range+0x58e/0x7f0
  [<ffffffff81176041>] unmap_single_vma+0x81/0xf0
  [<ffffffff811770b9>] unmap_vmas+0x49/0x90
  [<ffffffff8118026c>] exit_mmap+0x9c/0x170
  [<ffffffff8106482c>] mmput+0x5c/0x120
  [<ffffffff81069bbc>] do_exit+0x26c/0xa50
  [<ffffffff8109dd84>] ? vtime_account_user+0x54/0x60
  [<ffffffff8106a41f>] do_group_exit+0x3f/0xa0
  [<ffffffff8106a494>] SyS_exit_group+0x14/0x20
  [<ffffffff8172a5bf>] tracesys+0xe1/0xe6

Package: linux-image-3.13.0-27-generic 3.13.0-27.50
SourcePackage: linux
Tags: kernel-oops
Uname: Linux 3.13.0-27-generic x86_64

ProblemType: KernelOops
Annotation: Your system might become unstable now and might need to be restarted.
Date: Mon Jun 2 15:09:06 2014
Failure: oops
OopsText:
 BUG: Bad page map in process dbus-daemon pte:01000000 pmd:2125d8067
 addr:00007ff2862b4000 vm_flags:08000070 anon_vma: (null) mapping:ffff8800d40ad538 index:18c
 vma->vm_ops->fault: filemap_fault+0x0/0x410
 vma->vm_file->f_op->mmap: ext4_file_mmap+0x0/0x60
 CPU: 3 PID: 27455 Comm: dbus-daemon Tainted: GF W O 3.13.0-27-generic #50-Ubuntu
 Hardware name: MSI MS-7817/B85M-E45 (MS-7817), BIOS V10.2 09/25/2013
  ffff88020f5a9600 ffff88020ffa5c70 ffffffff817199c4 00007ff2862b4000
  ffff88020ffa5cb8 ffffffff81174503 0000000001000000 000000000000018c
  ffff8802125d85a0 0000000001000000 00007ff2862b4000 00007ff286334000
 Call Trace:
  [<ffffffff817199c4>] dump_stack+0x45/0x56
  [<ffffffff81174503>] print_bad_pte+0x1a3/0x250
  [<ffffffff81175d5e>] unmap_page_range+0x58e/0x7f0
  [<ffffffff81176041>] unmap_single_vma+0x81/0xf0
  [<ffffffff811770b9>] unmap_vmas+0x49/0x90
  [<ffffffff8118026c>] exit_mmap+0x9c/0x170
  [<ffffffff8106482c>] mmput+0x5c/0x120
  [<ffffffff81069bbc>] do_exit+0x26c/0xa50
  [<ffffffff8109dd84>] ? vtime_account_user+0x54/0x60
  [<ffffffff8106a41f>] do_group_exit+0x3f/0xa0
  [<ffffffff8106a494>] SyS_exit_group+0x14/0x20
  [<ffffffff8172a5bf>] tracesys+0xe1/0xe6

Package: linux-image-3.13.0-27-generic 3.13.0-27.50
SourcePackage: linux
Tags: kernel-oops
Uname: Linux 3.13.0-27-generic x86_64

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-27-generic 3.13.0-27.50
ProcVersionSignature: Ubuntu 3.13.0-27.50-generic 3.13.11
Uname: Linux 3.13.0-27-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: jens 3234 F.... pulseaudio
 /dev/snd/controlC0: jens 3234 F.... pulseaudio
CurrentDesktop: LXDE
Date: Mon Jun 2 15:32:41 2014
HibernationDevice: RESUME=UUID=8eef85a0-0281-49ce-9b60-e2a5aaf95c68
InstallationDate: Installed on 2014-05-12 (20 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64+mac (20140417)
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
MachineType: MSI MS-7817
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-27-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-27-generic N/A
 linux-backports-modules-3.13.0-27-generic N/A
 linux-firmware 1.127.2
RfKill:

SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/25/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: V10.2
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: B85M-E45 (MS-7817)
dmi.board.vendor: MSI
dmi.board.version: 2.0
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: 2.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrV10.2:bd09/25/2013:svnMSI:pnMS-7817:pvr2.0:rvnMSI:rnB85M-E45(MS-7817):rvr2.0:cvnToBeFilledByO.E.M.:ct3:cvr2.0:
dmi.product.name: MS-7817
dmi.product.version: 2.0
dmi.sys.vendor: MSI

Jens (jens-launchpad-net) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Did this issue occur in a previous version of Ubuntu, or is this a new issue?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.15 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.15-rc8-utopic/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Jens (jens-launchpad-net) wrote :

I have not experienced this in previous Ubuntu installations, however I have also never tried to suspend to disk previously.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Jens (jens-launchpad-net) wrote :

So far this Oops wasn't reproducable in 3.15.0-031500rc8-generic #201406012235.

tags: added: bios-outdated-10.4
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
summary: - [MSI 7817] resume failure (oops?) after hibernation
+ [MSI B85M-E45] resume oops after hibernation
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Changed in linux (Ubuntu):
status: Expired → Confirmed
Jens (jens-launchpad-net) wrote :

I have now

 * tested multiple versions of 3.16 pre-release kernels (rc2, final), the problem still occurs
 * tested with removed/disabled i915 kernel module, the problem is gone (hibernate/suspend works fine, multiple times)
 * detailed all these experiments at https://bugs.freedesktop.org/show_bug.cgi?id=78424

am I really the only person in the world with MSI Haswell mainboards that experience this bug in the i915 driver?

Whom do I have to donate a MS mainboard to to get this fixed? :)

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Jens (jens-launchpad-net) wrote :

I updated the BIOS weeks ago. No change in behaviour.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Jens (jens-launchpad-net) wrote :

$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
V10.5
05/30/2014

I am now running 3.16.0 final (drm-linux-next tree, commit 2c0827cffc) and I get a frozen desktop and an apportcheckresume "hibernate/resume failure" report (KernelOops) when resuming, just as before.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: latest-bios-10.5
removed: bios-outdated-10.4

Jens, could you please test the latest upstream kernel available from the very top line at the top of the page (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested noted below:
kernel-fixed-upstream-3.16

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Jens (jens-launchpad-net) wrote :

Same error in 3.16.0 mainline.

Aug 10 20:13:23 linuxkiste kernel: [ 1241.955452] WARNING: CPU: 0 PID: 27128 at /home/apw/COD/linux/drivers/gpu/drm/i915/intel_ddi.c:911 intel_ddi_pll_enable+0x23f/0x250 [i915]()
Aug 10 20:13:23 linuxkiste kernel: [ 1241.955453] SPLL already enabled
Aug 10 20:13:23 linuxkiste kernel: [ 1241.955466] Modules linked in: pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) bnep rfcomm bluetooth 6lowpan_iphc snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec intel_rapl x86_pkg_temp_thermal snd_hwdep intel_powerclamp snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device coretemp snd_timer kvm_intel kvm snd soundcore mei_me mei serio_raw shpchp lpc_ich tpm_infineon mac_hid intel_smartconnect parport_pc ppdev lp parport dm_crypt hid_generic usbhid hid crct10dif_pclmul crc32_pclmul mxm_wmi ghash_clmulni_intel aesni_intel i915 aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd i2c_algo_bit drm_kms_helper drm ahci r8169 libahci mii wmi video
Aug 10 20:13:23 linuxkiste kernel: [ 1241.955468] CPU: 0 PID: 27128 Comm: kworker/u8:3 Tainted: G OE 3.16.0-031600-generic #201408031935
Aug 10 20:13:23 linuxkiste kernel: [ 1241.955468] Hardware name: MSI MS-7817/CSM-B85M-E45 (MS-7817), BIOS V10.5 05/30/2014
Aug 10 20:13:23 linuxkiste kernel: [ 1241.955471] Workqueue: events_unbound async_run_entry_fn
Aug 10 20:13:23 linuxkiste kernel: [ 1241.955472] 000000000000038f ffff880182c1fa78 ffffffff81786525 ffffffff81c51ad8
Aug 10 20:13:23 linuxkiste kernel: [ 1241.955473] ffff880182c1fac8 ffff880182c1fab8 ffffffff8107207c ffff880182c1fa98
Aug 10 20:13:23 linuxkiste kernel: [ 1241.955474] 0000000094000000 ffff880036730000 0000000094000000 0000000000000001
Aug 10 20:13:23 linuxkiste kernel: [ 1241.955474] Call Trace:

Detailed log attached.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream
removed: kernel-unable-to-test-upstream
tags: added: kernel-bug-exists-upstream-3.16.0-031600-generic
Jens (jens-launchpad-net) wrote :

More Details:

- I can always hibernate/resume once. Upon resume the first time, the above error appears. (It appeared the same way in the Ubuntu 14.04 default kernel.)
- If I try to hibernate again, it works but the resume process freezes the machine after (!) the hibernation image is read from disk.
- If I blacklist the i915 kernel module and do not start Xorg, hibernation and resume work perfectly multiple times in a row.

tags: added: kernel-bug-exists-upstream-3.16
removed: kernel-bug-exists-upstream-3.16.0-031600-generic
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Jens (jens-launchpad-net) wrote :

See comment #4.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: regression-potential
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Jens (jens-launchpad-net) wrote :

Sorry, can't (and could not) - since 12.04 does not (yet) contain Haswell graphics and mainboard drivers.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Jens, could you please test the latest mainline kernel (4.3-rc1) and advise to the results?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.